# get the endpoint of the tree config servers
& (Join-Path $env:java_home "\bin\java.exe") -jar .\DiscoverEndpoints.jar "Config" 3 "config" (Join-Path $env:endpoints_path "confEndpoints.txt")
$configEndpoints = Get-Content (Join-Path $env:endpoints_path "confEndpoints.txt")
$config3 = ($configEndpoints -split "," -split ":")[0..1]

# wait until the 
& .\waitForeMongoConnection.ps1 -addr $config3[0] -port ($config3[1] -as [int])


# start the mongos router in a difrent prosess
$mongos_argument = "--configdb `"$configEndpoints`" --port 27019 --logpath $env:TEMP\mongosRouter.log"
Start-Process (Join-Path $env:mongo_home "bin\mongos.exe") $mongos_argument

& (Join-Path $env:server_apps_location "util\.wash.ps1") blob download "$env:zip_path\enwiki-a.7z" "enwiki-a.7z" enwiki evenosmaster "7gHOHg+MDuK0sLJ24ZjR43GEKGzzGXt9b5VYv1T2woUosFQ4s2tg50bKteWqqecS8nvondNl7KGfTiCTbY4xoQ==" "http://core.windows.net"
& (Join-Path $env:server_apps_location "zip\7za.exe") x (Join-Path $env:zip_path "enwiki-a.7z") "-o$env:json_path"
Remove-Item (Join-Path $env:zip_path "enwiki-a.7z")
