
param (
    [string]$addr = "localhost",
    [int]$port = 27017,
    [int]$sleep = 5
 )


# Try to connect to mongodb instance, loop until sucsessful
& (Join-Path $env:mongo_home "bin\mongo.exe") --host $addr --port $port --eval "quit()"
while ($LASTEXITCODE -ne 0) {
  Write-Debug "no response from $addr`:$port, retrying in $sleep seconds"
  SLEEP 5
  & (Join-Path $env:mongo_home "bin\mongo.exe") --host $addr --port $port --eval "quit()"
}  

Write-Debug "got response from server$addr`:$port"