package evenosmaster.util;

import java.nio.file.Path;

public class FileInserter implements Runnable {
	private final Path file;
	private final MongoDBLoader mongoClient;

	public FileInserter(final Path file, final MongoDBLoader mongoClient) {
		this.file = file;
		this.mongoClient = mongoClient;
	}

	public void run() {
		try {
			mongoClient.insertCollectionFromFile(file);
		} catch (Exception e) {
			// An error we have not handeled.
			System.out.println("Exeption reached FileInserter:");
			e.printStackTrace();
		}
	}
}
