$shScript = "$env:TEMP\shScript.js"

Add-Content -Value "instance - `"$env:instance_ip`:$env:db_port`"" -Path C:\shardDb.log

Add-Content $shScript @"
db = db.getSisterDB(`"config`");

print(`"=== addShard script ===`");

print(`"list of existing shards before doing anything:`");
printjson( db.shards.find().toArray() );

print(`"adding shard.`");
sh.addShard( `"$env:instance_ip`:$env:db_port`" );

print(`"list of existing shards after doing anything:`");
printjson( db.shards.find().toArray() );
"@


$sh_arguments = "`"$shScript`"", "--host", $routerIP, "--port", $routerPort
Add-Content -Value "$sh_arguments" -Path C:\shardDb.log
& (Join-Path $env:mongo_home "bin\mongo.exe") $sh_arguments | Out-File "$env:TEMP\addingShard2.log"